nextflow.enable.dsl = 2
include {var_calling} from './pipeline/var_calling.nf'

// which part of the pipeline to run - either 'variant-calling' or 'variant-prioritisation'
params.workflow = null

// path to a bcbio install, containing 'anaconda', 'galaxy', 'genomes', etc
params.bcbio = null

// path to a template config for bcbio variant calling
params.bcbio_template = null

// where the results get written to on the system. The variant calling creates initial
// results here, and variant prioritisation adds to them
params.output_dir = null

// name of the pipeline batch, e.g. '21900', '20220427'
params.pipeline_project_id = null

// version of the pipeline batch, e.g. 'v1'
params.pipeline_project_version = null

// bed file of Twist exome targets
params.target_bed = null

// hg38 reference genome in fasta format
params.reference_genome = null

// path to a Ped file describing all the families in the pipeline batch
params.ped_file = null

// path to a samplesheet mapping individual IDs to fastq pairs
params.sample_sheet = null

workflow {
    if (params.workflow == 'variant-calling') {
        var_calling()
    } else if (params.workflow == 'variant-prioritisation') {
        println "Variant prioritisation coming soon"
    } else {
        exit 1, 'params.workflow required - variant-calling or variant-prioritisation'
    }
}

