#!/bin/bash

source scripts/nextflow_detached.sh

test_exit_status=0
nextflow -c "$NEXTFLOW_CONFIG" clean -f

echo "Reduced GiaB data - trios"
run_nextflow ../main.nf \
    -c "$NEXTFLOW_CONFIG" \
    --workflow 'variant-calling' \
    --pipeline_project_id giab_test_trios \
    --pipeline_project_version v1 \
    --ped_file $PWD/assets/input_data/ped_files/giab_test_trios.ped \
    --sample_sheet $PWD/assets/input_data/sample_sheets/giab_test_trios.tsv

test_exit_status=$(( $test_exit_status + $? ))

echo "Reduced GiaB data - non-trios"
run_nextflow ../main.nf \
    -c "$NEXTFLOW_CONFIG" \
    --workflow 'variant-calling' \
    --pipeline_project_id giab_test_non_trios \
    --pipeline_project_version v1 \
    --ped_file $PWD/assets/input_data/ped_files/giab_test_non_trios.ped \
    --sample_sheet $PWD/assets/input_data/sample_sheets/giab_test_non_trios.tsv

test_exit_status=$(( $test_exit_status + $? ))

echo "Tests finished with exit status $test_exit_status"

